%define srcname python-subunit
%define module  subunit

Name:           python-%{module}
Version:        1.1.0
Release:        %mkrel 3
Summary:        Python implementation of subunit test streaming protocol
Group:          Development/Python
License:        ASL2.0 or BSD
URL:            https://launchpad.net/testrepository
Source0:        https://pypi.python.org/packages/source/p/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)

%description
Subunit is a streaming protocol for test results.

%package -n     python3-%{module}
Summary:        Python 3 implementation of subunit test streaming protocol
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)

%description -n python3-%{module}
Subunit is a streaming protocol for test results.

This is the Python 3 version of the package.

%prep
%setup -q -n %{srcname}-%{version}

# Remove bundled egg-info
rm -rf python_%{module}.egg-info

cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
  cd %{buildroot}%{_bindir}
  for B in subunit*; do
  mv $B $(echo $B |sed 's/subunit/python3-subunit/'); done
  for C in tap*; do
  mv $C $(echo $C |sed 's/tap/python3-tap/'); done
popd

%py2_install

%files
%{_bindir}/%{module}*
%{_bindir}/tap2%{module}
%{python2_sitelib}/*

%files -n python3-%{module}
%{_bindir}/python3-%{module}*
%{_bindir}/python3-tap2%{module}
%{python3_sitelib}/*


%changelog
* Sat Feb 20 2016 umeabot <umeabot> 1.1.0-3.mga6
+ Revision: 971208
- Mageia 6 Mass Rebuild

* Mon Oct 12 2015 daviddavid <daviddavid> 1.1.0-2.mga6
+ Revision: 889836
- add python3 package
- use new python macros

* Mon Aug 31 2015 fwang <fwang> 1.1.0-1.mga6
+ Revision: 871514
- upload spec file

  + bcornec <bcornec>
    - Created package structure for python-subunit.

